<?php namespace Phpcmf\Controllers;

class Show extends \Phpcmf\Home\Module
{

    public function index() {

        $this->_module_init();
        $this->_Show(
            (int)\Phpcmf\Service::L('input')->get('id'),
            [
                'field' => dr_safe_replace(\Phpcmf\Service::L('input')->get('field')),
                'value' => dr_safe_replace(\Phpcmf\Service::L('input')->get('value')),
            ],
            max(1, (int)\Phpcmf\Service::L('input')->get('page'))
        );

    }

    public function time() {
        $this->_module_init();
        $this->_MyShow(
            'time',
            (int)\Phpcmf\Service::L('Input')->get('id'),
            max(1, (int)\Phpcmf\Service::L('input')->get('page'))
        );
    }

    public function recycle() {
        $this->_module_init();
        $this->_MyShow(
            'recycle',
            (int)\Phpcmf\Service::L('Input')->get('id'),
            max(1, (int)\Phpcmf\Service::L('input')->get('page'))
        );
    }

    public function draft() {
        $this->_module_init();
        $this->_MyShow(
            'draft',
            (int)\Phpcmf\Service::L('Input')->get('id'),
            max(1, (int)\Phpcmf\Service::L('input')->get('page'))
        );
    }

    public function verify() {
        $this->_module_init();
        $this->_MyShow(
            'verify',
            (int)\Phpcmf\Service::L('Input')->get('id'),
            max(1, (int)\Phpcmf\Service::L('input')->get('page'))
        );
    }

}
